MPSS 3.2 on 3.13.0-24 kernel

MPSS 3.2 on 3.13.0-24 kernel

Hi,

I am trying to install MPSS 3.2 on kernel  3.13.0-24, but when I start the services, I am getting error

"Error getting SCIF driver version
mic0: booting (mode: linux image: /usr/share/mpss/boot/bzImage-knightscorner)"

I got MIC module patch from https://github.com/xdsopl/mpss-modules , and I could install MIC module. But when I start the services using /etc/init.d/mpss start, I get the error "Error getting SCIF driver version".

And miccheck gives output

"

 /opt/intel/mic/bin/miccheck
Error getting SCIF driver version

miccheck 2.1.4982-15, created 05:25:08 Dec 17 2012
Copyright 2011-2012 Intel Corporation  All rights reserved

Test 1 Ensure installation matches manifest : FAILED
Test 2 Ensure host driver is loaded         : OK
Test 3 Ensure driver matches manifest       : FAILED
Test 3> Driver version mismatch: Manifest='4982-15', Live='3.1.2-1'

Test 3> Error 0x105: Intel(R) Xeon Phi(TM) Coprocessor System Exception Error

Test 3> Error 0x105: Intel(R) Xeon Phi(TM) Coprocessor System Exception Error
Test 4 Detect all listed devices            : SKIPPED
Test 4> Prerequisite 'Initialize the API' failed:
Test 4>  Failed to initialize the API
Status: Test failed

"

Please help me to solve this issue.

 

3 posts / 0 nouveau(x)
Dernière contribution
Reportez-vous à notre Notice d'optimisation pour plus d'informations sur les choix et l'optimisation des performances dans les produits logiciels Intel.

What distribution? You seem to have a version mismatch. You should download the mpss 3.2.1 package and install all the rpms in the top directory, build latest mic module from the above repository. There is another thread in this forum titled something like using mpss with Fedora 20.....see the discussions in there.

Also, in 3.13.x kernel includes experimental modules mic_host and mic_card. You should blacklist those modules so that they don't interfere with the mic module you are building.

Thanks for your reply. I am using ubuntu 14.04 and I got the patch for mic module from https://github.com/xdsopl/mpss-modules which got installed successfully and I can see the module using lsmod. But there seems problem while starting mpsss stack.

Previously I had Ubuntu 12 running with MPSS 2.1 so, when I tried to upgrade it now, I am not able to do it.

Laisser un commentaire

Veuillez ouvrir une session pour ajouter un commentaire. Pas encore membre ? Rejoignez-nous dès aujourd’hui